performance.h File Reference

Go to the source code of this file.

## Classes

struct | paso::Performance

## Namespaces

| paso

## Macros

#define | PERFORMANCE_UNMONITORED_EVENT -1
#define | PERFORMANCE_NUM_EVENTS 10
#define | PERFORMANCE_ALL 0
#define | PERFORMANCE_SOLVER 1
#define | PERFORMANCE_PRECONDITIONER_INIT 2
#define | PERFORMANCE_PRECONDITIONER 3
#define | PERFORMANCE_MVM 4
#define | PERFORMANCE_ASSEMBLAGE 5
#define | PERFORMANCE_UNKNOWN 6
#define | PERFORMANCE_NUM_MONITORS PERFORMANCE_UNKNOWN+1
#define | PERFORMANCE_UNUSED -1
#define | PERFORMANCE_CLOSED 0
#define | PERFORMANCE_OPENED 1

## Functions

void | paso::Performance_open (Performance *pp, int verbose)
| sets up the monitoring process More...
int | paso::Performance_getEventIndex (Performance *pp, int event_id)
| find the index of an event in the list of monitored events More...
void | paso::Performance_close (Performance *pp, int verbose)
| shuts down the monitoring process More...
void | paso::Performance_startMonitor (Performance *pp, int monitor)
| switches on a monitor More...
void | paso::Performance_stopMonitor (Performance *pp, int monitor)
| switches off a monitor More...

## Macro Definition Documentation

## PERFORMANCE_ALL

#define PERFORMANCE_ALL 0

## PERFORMANCE_ASSEMBLAGE

#define PERFORMANCE_ASSEMBLAGE 5

## PERFORMANCE_CLOSED

#define PERFORMANCE_CLOSED 0

## PERFORMANCE_MVM

#define PERFORMANCE_MVM 4

## PERFORMANCE_NUM_EVENTS

#define PERFORMANCE_NUM_EVENTS 10

## PERFORMANCE_NUM_MONITORS

#define PERFORMANCE_NUM_MONITORS PERFORMANCE_UNKNOWN+1

## PERFORMANCE_OPENED

#define PERFORMANCE_OPENED 1

## PERFORMANCE_PRECONDITIONER

#define PERFORMANCE_PRECONDITIONER 3

## PERFORMANCE_PRECONDITIONER_INIT

#define PERFORMANCE_PRECONDITIONER_INIT 2

## PERFORMANCE_SOLVER

#define PERFORMANCE_SOLVER 1

## PERFORMANCE_UNKNOWN

#define PERFORMANCE_UNKNOWN 6

## PERFORMANCE_UNMONITORED_EVENT

#define PERFORMANCE_UNMONITORED_EVENT -1

## PERFORMANCE_UNUSED

#define PERFORMANCE_UNUSED -1